#!/bin/sh

set +xe

OZSH_HOME=$HOME/.ozsh

# remove garbage
rm -rf "$HOME/.oh-my-zsh"

# clone the repo
if [ ! -d "$OZSH_HOME" ]; then
    git clone https://git.quacker.org/d/ozsh $OZSH_HOME/
fi

# pull submodules
git -C $OZSH_HOME submodule update --init --recursive

# link .zshrc
rm -f "$HOME/.zshrc"
rm -f "$HOME/.p10k.zsh"
ln -s $OZSH_HOME/.zshrc $HOME/.zshrc

